Bug 475731 - dbus.proxies:Introspect error Packagekit
dbus.proxies:Introspect error Packagekit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 01:37 EST by Mustafa Mehmed
Modified: 2013-03-05 22:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum upgrade out put to screen (3.33 KB, text/plain)
2008-12-10 01:37 EST, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2008-12-10 01:37:57 EST
Created attachment 326454 [details]
yum upgrade out put to screen

Description of problem: Do a yum upgrade. Upgrade seems to work ok, but have the following error amongst the yum output 

ERROR:dbus.proxies:Introspect error on :1.70:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.70")




Version-Release number of selected component (if applicable):


How reproducible: don't know


Steps to Reproduce:
1. yum upgrade
2.
3.
  
Actual results: upgrade seems to work ok except for displayed error


Expected results: no error


Additional info:
Comment 1 Colin Walters 2008-12-10 11:58:11 EST
Should be fixed by:

https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00838.html
Comment 2 dr.trigon 2008-12-11 14:42:38 EST
Hallo!

I have the same issue here on f9 (updated from f8).

For me the last comment could not fix this problem. I had already installed the 2nd and 3rd package due to bug 475200 and then installed the 1st (dbus) package too. But today after updating through yum (I have to use yum due to bug 474979) the old "Introspect" error appeared again.
Comment 3 dr.trigon 2008-12-23 02:20:43 EST
(In reply to comment #2)
> Hallo!
> 
> I have the same issue here on f9 (updated from f8).
> 
> For me the last comment could not fix this problem. I had already installed the
> 2nd and 3rd package due to bug 475200 and then installed the 1st (dbus) package
> too. But today after updating through yum (I have to use yum due to bug 474979)
> the old "Introspect" error appeared again.

One of the latest updates solved the problem! No introspect error anymore.
Comment 4 Bug Zapper 2009-11-18 05:25:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:14:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.